
// ml - A media library representation.

// Copyright (C) 2005-2006 VM Inc.
// Released under the LGPL.
// For more information, see http://www.openlibraries.org.

#include <qapplication.h>

#include <openpluginlib/pl/openpluginlib.hpp>
#include "qtplayer.h"

namespace opl = olib::openpluginlib;

#ifndef WIN32
const opl::string oil_plugin_path( OIL_PLUGINS );
const opl::string oml_plugin_path( OML_PLUGINS );
#endif

int main( int argc, char **argv )
{
	QApplication a( argc, argv );

#ifndef WIN32
	opl::init( oil_plugin_path );
	opl::init( oml_plugin_path );
#else
	opl::init( "" );
#endif

	std::string input = argc > 1 ? argv[ 1 ] : "jahlogo.jpg/sequence:";
	QObject::connect( qApp, SIGNAL( lastWindowClosed( ) ), qApp, SLOT( quit( ) ) );
	QtPlayer *w = new QtPlayer( input );
	w->show();
	return a.exec();
}
